### Method

# Gtk Printer get_state_message

#### Declaration [src]

    const char*
    gtk_printer_get_state_message (
      GtkPrinter* printer
    )

#### Description [src]

Returns the state message describing the current state of the printer.

Gets property | `Gtk.Printer:state-message`

#### Return value

Type: `const char*`

The state message of `printer`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.